Name:			openfetion
Version:		2.1.0
Release:		1%{?dist}
Summary:		A Fetion client written using GTK2+
Group:			Applications/Internet
License:		GPLv2+
URL:			http://ofetion.googlecode.com/
Source0:		http://ofetion.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:		gtk2-devel, gstreamer-devel, libnotify-devel
BuildRequires:		libXScrnSaver-devel, intltool
BuildRequires:		gettext, NetworkManager-glib-devel, desktop-file-utils
BuildRequires:		dbus-glib-devel, dbus-devel, libofetion-devel

%description
Fetion is an instant messaging (IM) client developed 
by China Mobile, a Chinese telecommunications company. 
It is currently the third most popular IM client in 
China. It allows users to send and receive SMS free 
of charge between PCs and mobile phones. China Mobile 
intends to develop Fetion into a comprehensive 
communications service which will focus on wireless 
communications and offer Internet applications as a 
complement.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake .

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original \
  --dir ${RPM_BUILD_ROOT}/%{_datadir}/applications \
  ${RPM_BUILD_ROOT}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/resource/newmessage.wav
%{_datadir}/%{name}/skin/*
%{_datadir}/pixmaps/fetion.svg

%changelog
* Wed Dec 29 2010 Liang Suilong <liangsuilong@gmail.com> - 2.1.0-1
- Openfetion is divided into three openfetion, libfetion and cliofetion
- Upstream to 2.1.0


* Thu Dec 02 2010 Liang Suilong <liangsuilong@gmail.com> - 2.0.8-0.1.hg20101202
- Upstream to the latest checkout

* Tue Nov 30 2010 Liang Suilong <liangsuilong@gmail.com> - 2.0.8-0.1.hg20101201
- Fix build for libnotify-0.7
- Upstream to 2.0.8

* Tue Nov 30 2010 Liang Suilong <liangsuilong@gmail.com> - 2.0.7-1
- Add BR: dbus-devel
- Upstream to 2.0.7

* Tue Nov 16 2010 Liang Suilong <liangsuilong@gmail.com> - 2.0.2-3
- Add BR: dbus-glib-devel

* Tue Nov 16 2010 Liang Suilong <liangsuilong@gmail.com> - 2.0.2-2
- Clean up spec file
- Add BR: NetworkManager-glib-devel and desktop-file-utils

* Tue Nov 16 2010 Liang Suilong <liangsuilong@gmail.com> - 2.0.2-1
- Upgrade to 2.0.2

* Mon Oct 25 2010 Kunshan Wang <wks1986@gmail.com> - 2.0-1
- Upgrade to 2.0

* Mon Sep 27 2010 Kunshan Wang <wks1986@gmail.com> - 1.9-1
- Upgrade to 1.9

* Thu Aug 28 2010 Kunshan Wang <wks1986@gmail.com> - 1.8-1.svnr55
- Upgrade to SVN revision 55 

* Sun Jun 13 2010 Robin Lee <robinlee.sysu@gmail.com> - 1.6.1-2
- Spec file massively renewed with reference to the one from Kunshan Wang
  <wks1986@gmail.com>

* Sat Jun 12 2010 Xuqing Kuang <xuqingkuang@gmail.com> - 1.6.1-1
- Initial build.

